Ticket #33812

日本語入力の候補ウィンドウを閉じたあとでキャレット移動の読み上げができない

Open Date: 2014-05-17 12:58 Last Update: 2016-02-13 12:23

Reporter: nishimoto Owner: (None)
Type: Bugs Status: Closed
Component: 本家 MileStone: 2016.1 (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

2014.2jp 公開ベータ版の準備作業で気づいたのですが、いま本家 2014.2rc1 で確認したので、 本家へのバグ報告の下書きをかねてチケット化します。

関連チケット #33778 行頭にスペースや文字を挿入したときに点字ディスプレイが更新されない

本家チケット 3873 setFocusObject incorrectly caches container property as parent

http://community.nvda-project.org/ticket/3873

setup:

  * Windows 8.1 Update (64bit, User Interface Language: English, Japanese Microsoft IME, SAPI5 Japanese Haruka Desktop TTS)
  * NVDA 2014.2rc1 (speak typed character: enabled, automatically report candidates: disabled)
  * notepad.exe

procedure:

  * start notepad application
  * type "abc" with English keyboard array
  * windows+Space: switch to Japanese IME
  * application key, upper arrow key, upper arrow key: choose "Open IME" and Enter
  * type "kawa" (k, 'ka', w, 'wa')
  * space key ('kawa')
  * space key (open candidate window and report second candidate)
  * enter key (secod candidate is selected and 'candidate' announced)
  * left arrow key: expected to report second candidate character which is just selected. actually nothing reported.
  * right arrow key: expected to report character again, actually nothing reported as well.

As far as we know, Braille display is not properly updated after the open-close of candidate window (although Japanese Braille is only supported by Japanese forked version of NVDA).

Reverting api.py line 96 regarding #3873 (setFocusObject incorrectly caches container property as parent) seems to resolve the issues as far as we investigated.

Attachment File List

No attachments

Ticket History (3/12 Histories)

2014-05-17 12:58 Updated by: nishimoto
  • New Ticket "日本語入力の候補ウィンドウを閉じたあとでキャレット移動の読み上げができない" created
2014-05-17 13:14 Updated by: nishimoto
Comment

本家版 2014.1 と挙動を比較したので修正:

setup:

  * Windows 8.1 Update (64bit, User Interface Language: English, enabled Japanese Microsoft IME and SAPI5 Japanese Haruka Desktop TTS)
  * NVDA 2014.2rc1 (speak typed characters: enabled, automatically report all available candidates: disabled)
  * notepad.exe

procedure:

  * start notepad application
  * type "abc" with English keyboard array. each characters are reported as typed.
  * windows+space: switch to Japanese IME
  * application key, then upper arrow key twice: if the item is "Close IME", press Escape to cancel. if it is "Open IME", press Enter.
  * type "kawa" (repored 'k', 'ka', 'w', 'wa')
  * space key (reported 'kawa')
  * space key (open candidate window and reported second candidate)
  * enter key (secod candidate is selected.): expected to annaounce the selected candidate 'kawa'. acutually only 'candidate' is announced.
  * left arrow key or right arrow key: expected to report the character at the caret. actually nothing reported.
  * alt key twice: now left or right arrow keys work normally.

As far as we know, Braille display is not properly updated after the open-close of candidate window (although Japanese Braille is only supported by Japanese forked version of NVDA).

Reverting api.py line 96 regarding #3873 (setFocusObject incorrectly caches container property as parent) seems to resolve the issues as far as we investigated.
2014-05-17 13:26 Updated by: nishimoto
Comment

本家にチケットを作りました。いくつかスペルミスを修正しています。

Caret move not responding after input method candidate window closed http://community.nvda-project.org/ticket/4145

2014-05-17 23:00 Updated by: nishimoto
Comment

とりあえず日本語版は修正しました。

branch jp2014.2
changeset 2f7efce
work around ti33812 (#4145)
2014-05-20 09:01 Updated by: None
2014-05-20 09:26 Updated by: nishimoto
2014-05-21 15:21 Updated by: nishimoto
  • Ticket Close date is changed to 2014-05-21 15:21
  • Status Update from Open to Closed
2015-12-10 22:49 Updated by: nishimoto
Comment

本家 4145 が 2016.1 で修正される見込み:

https://github.com/nvaccess/nvda/issues/4145

NVDA 日本語版での独自修正との整合性を確認する必要がありそう。

2016-01-06 17:01 Updated by: nishimoto
Comment

本家 4145 がクローズになったので本家 master でも要確認: https://github.com/nvaccess/nvda/issues/4145

2016-01-20 14:48 Updated by: nishimoto
Comment

本家 5640 の作業が続いている。

Editing Korean letters with NVDA and braille display issue.

https://github.com/nvaccess/nvda/issues/5640

上記は韓国語 IME を使った直後に点字ディスプレイからのスクロール操作ができなくなるという不具合報告。

点字ディスプレイと日本語入力を使う場合のフォーカス処理について、 しばらく本家版の更新があるたびに影響を確認する必要がある。

2016-01-25 00:06 Updated by: nishimoto
Comment

本家 master 11816 と Windows 10 Microsoft IME でやっと試してみた。 不確実ではあるが、候補ウィンドウを閉じてもフォーカスがエディットに戻らないことがまだある。

2016-02-13 12:23 Updated by: nishimoto
  • Ticket Close date is changed to 2016-02-13 12:23
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

本家 5640 に相当する日本語IMEの問題は残っていると思われますが、 もともとこのチケットの最初に書いた再現手順では、 NVDA 2016.1jp 系において(ダミー点字ディスプレイを使っている場合でも) 問題は再発しないことを確認したので、 このチケットはクローズします。

Edit

Please login to add comment to this ticket » Login